Home / API Documentation / Project management / Project binding cluster / View the project and cluster binding relationship details

View the project and cluster binding relationship details

Requests

HTTP request

GET /apis/auth.alauda.io/v1/projectbindings/{name}

read the specified ProjectBinding

Path parameters

Name Type Required Description
name string Truename of the ProjectBinding

Query parameters

Name Type Required Description
resourceVersion string FalseWhen specified: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.
pretty string FalseIf 'true', then the output is pretty printed.

Responses

Content-Type application/json, application/yaml

Status code: 200

OK

Sample response

{
   "apiVersion": "auth.alauda.io/v1",
   "kind": "ProjectBinding",
   "metadata": {
     "creationTimestamp": "2021-06-24T12:15:45Z",
     "generation": 1,
     "labels": {
       "cpaas.io/cluster": "global",
       "cpaas.io/project": "cpaas"
     },
     "name": "cpaas-global",
     "ownerReferences": [
       {
         "apiVersion": "auth.alauda.io/v1",
         "blockOwnerDeletion": true,
         "controller": true,
         "kind": "Project",
         "name": "cpaas",
         "uid": "a83c11df-d3ea-487b-bbbf-0e2a164a5cef"
       }
     ],
     "resourceVersion": "3604062",
     "selfLink": "/apis/auth.alauda.io/v1/projectbindings/cpaas-global",
     "uid": "11f4e9c4-a804-493f-96e7-faef05791e99"
   },
   "spec": {},
   "status": {}
 }

Parameters

Name Type Description
apiVersion string See common parameters
kind string See common parameters
metadata object See common parameters

Other status codes

Status code: 401

Unauthorized